Subject: bug#64723: load-foreign-library has incomplete support for libtool-generated DLLs

From: Michael Gran <[email-masked]>
Date: Tue, 18 Jul 2023 23:47:10 -0700

The new non-libltdl foreign library loading algorithm from 3.0.6 fails
to cover common cases regarding how libtool names and installs DLL
files.  Notably, it fails to recognize when libtool has added the major
version number into the filename itself, such as libfoo-1.dll Also, it
does not search in binary directories and the PATH for DLL files, where
libtool is likely to install DLLs.

Also, just as it handles the libfoo.dll -> cygfoo.dll renaming for
cygwin, it should handle the libfoo.dll -> msys-foo.dll renaming for
MSYS